OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepAP214

# StepAP214_GroupItem Class Reference

`#include <StepAP214_GroupItem.hxx>`

Inheritance diagram for StepAP214_GroupItem:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepAP214_GroupItem ()
| Returns a GroupItem SelectType .
virtual Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a GroupItem Kind Entity that is : 1 -> GeometricRepresentationItem 0 else .
virtual Standard_EXPORT Handle_StepGeom_GeometricRepresentationItem | GeometricRepresentationItem () const
| returns Value as a GeometricRepresentationItem (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_GroupItem::StepAP214_GroupItem | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_Integer StepAP214_GroupItem::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

virtual Standard_EXPORT Handle_StepGeom_GeometricRepresentationItem StepAP214_GroupItem::GeometricRepresentationItem | ( |  | ) | const`[virtual]`

void StepAP214_GroupItem::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepAP214_GroupItem::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepAP214_GroupItem::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

The documentation for this class was generated from the following file:

- StepAP214_GroupItem.hxx